API uç noktası
https://hrmn.live/api/v1/spaces
İstek örneği
curl --location --request GET 'https://hrmn.live/api/v1/spaces' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
name. Varsayılan: name.
sort_by
id, İsim için name. Varsayılan: id.
sort
desc, Artan için asc. Varsayılan: desc.
per_page
10, 25, 50, 100. Varsayılan: 10.
API uç noktası
https://hrmn.live/api/v1/spaces/{id}
İstek örneği
curl --location --request GET 'https://hrmn.live/api/v1/spaces/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API uç noktası
https://hrmn.live/api/v1/spaces
İstek örneği
curl --location --request POST 'https://hrmn.live/api/v1/spaces' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'name={name}'
Parameters
name
color
1, 2, 3, 4, 5, 6. Varsayılan: 1.
API uç noktası
https://hrmn.live/api/v1/spaces/{id}
İstek örneği
curl --location --request PUT 'https://hrmn.live/api/v1/spaces/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
name
color
1, 2, 3, 4, 5, 6.
API uç noktası
https://hrmn.live/api/v1/spaces/{id}
İstek örneği
curl --location --request DELETE 'https://hrmn.live/api/v1/spaces/{id}' \ --header 'Authorization: Bearer {api_key}'